org.apache.jmeter.report.core

## Class ConvertException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.jmeter.report.core.ConvertException

- All Implemented Interfaces:
    java.io.Serializable

      public class ConvertException
      extends java.lang.Exception

  The class ConvertException provides an exception when ConvertStringMethod.execute fails.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConvertException()` Deprecated. UNIT TEST ONLY
    `ConvertException(java.lang.String value, java.lang.String type)` Instantiates a new convert exception.
    `ConvertException(java.lang.String value, java.lang.String type, java.lang.Throwable cause)` Instantiates a new convert exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConvertException

          public ConvertException(java.lang.String value,
                                  java.lang.String type)

      Instantiates a new convert exception.
      Parameters:
        `value` - the value
        `type` - the type

    - #### ConvertException

          public ConvertException(java.lang.String value,
                                  java.lang.String type,
                                  java.lang.Throwable cause)

      Instantiates a new convert exception.
      Parameters:
        `value` - the value
        `type` - the type
        `cause` - the cause

    - #### ConvertException

          @Deprecated
          public ConvertException()

      Deprecated. UNIT TEST ONLY
      DO NOT USE - UNIT TEST ONLY

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.